Subject: Re: [bmwg] I-D ACTION:draft-ietf-bmwg-protection-term-04.txt

From: Al Morton <[email-masked]>
Date: Wed, 09 Apr 2008 10:31:51 -0400

At 06:03 PM 3/8/2008, Poretsky, Scott wrote:
>Tom wrote:
>...
>On page 25:
>
>16. The definition of the TBM seems to include, nested within it, a
>definition of "unimpaired packet". This term is used elsewhere in the
>document, and hence should be pulled out and placed in a separate
>section.
>
>SP>  Al, you had provided the text with two occurences of the phrase
>"unimpaired packet".
>Do you think this is a well-known term?  A term defined in another IETF
>document?
>One that needs to be defined in this terminology document?

IMO, it's one that we should define in our specific context,
because we are concerned with some forms of impairment,
but not others (as the draft now stands).

At the bottom of page 25, and top of page 26, I also provided
a definition, which we could promote to a fully defined term:

       Unimpaired packets are normal packets that are not lost,
       reordered, or duplicated.  A reordered packet is defined in

Poretsky, Papneja, Karthik, Vapiwala   Expires August 2008   [Page 25]

Internet-Draft         Benchmarking Terminology for      February 2008
                           Protection Performance

       [10, section 3.3].  A duplicate packet is defined in
       [4, section 3.3.3].  A lost packet is defined in
       [7, Section 3.5].  Unimpaired packets may be detected by checking
       a sequence number in the payload, where the sequence number equals
       the next expected number for an unimpaired packet.  A sequence gap
       or sequence reversal indicates impaired packets.

Also, an editorial comment:
If you replace the reference numbers with labels, 10 -> RFC4737,
then the html version of the draft prepared on the tools page
will take you right to the reference and the section needed.

Al
(as a participant)

_______________________________________________
bmwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bmwg